<template>
	<v-app id="app">
		<component :is="layout" :title="title">
			<router-view></router-view>
		</component>
	</v-app>
</template>

<script lang="ts">
import { defineComponent } from 'vue'
import Navbar from './components/Navbar.vue'
import DefaultLayout from './layouts/LoginLayout.vue'
import MainLayout from './layouts/MainLayout.vue'

export default defineComponent({
	name: 'App',

	components: {
		MainLayout,
		DefaultLayout,
		Navbar,
	},

	computed: {
		layout() {
			return (this.$route.meta.layout || 'default') + '-layout'
		},

		title() {
			return this.$route.meta.title || ''
		},
	},
})
</script>
